Create bank account
Links a bank account to the specified business.
Path Parameters
- Type: stringbusiness
_id requiredUnique identifier for the business.
Body·
required
application/json
- Type: stringaccount
_number required - Type: "checking" or "savings"enumaccount
_type required - Type: stringbank
_name required - Type: stringrouting
_number required - Properties: 1Type: objectuser
_data
Responses
- application/json
Request Example for post/businesses/{business_id}/bank_accounts
curl 'https://api.treasurefinancial.com/v1/businesses/{business_id}/bank_accounts' \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"account_number": "1234567890",
"account_type": "checking",
"bank_name": "Chase",
"routing_number": "123456789",
"user_data": {
"additionalProperty": "anything"
}
}'
{
"id": "string",
"account_number": "1234567890",
"account_type": "checking",
"bank_name": "Chase",
"routing_number": "123456789",
"user_data": {
"additionalProperty": "anything"
},
"created_at": "2022-01-01T00:00:00.000Z",
"updated_at": "2022-01-01T00:00:00.000Z"
}